<mat-spinner *ngIf="loading; else master"></mat-spinner>
<ng-template #master>
  <h1>MASTER VIEW</h1>

  <div class="filter-container">
    <mat-form-field class="filter">
      <input matInput (keyup)="applyFilter($event)" placeholder="Name">
    </mat-form-field>

    <mat-form-field class="filter">
      <input matInput (keyup)="applyFilter($event)" placeholder="Category">
    </mat-form-field>
  </div>

  <div class="table-container mat-elevation-z8">
    <table mat-table [dataSource]="dataSource">

      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
        <td mat-cell *matCellDef="let row"> {{row.name}} </td>
      </ng-container>

      <ng-container matColumnDef="category">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Category </th>
        <td mat-cell *matCellDef="let row"> {{row.category}} </td>
      </ng-container>

      <ng-container matColumnDef="quantity">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Quantity </th>
        <td mat-cell *matCellDef="let row"> {{row.quantity}} </td>
      </ng-container>

      <ng-container matColumnDef="countForTotal">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Count for total </th>
        <td mat-cell *matCellDef="let row">
          <mat-checkbox color="primary" [checked]="row.countForTotal" [disabled]="true"> </mat-checkbox>
        </td>
      </ng-container>

      <ng-container matColumnDef="creationDate">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Creation date </th>
        <td mat-cell *matCellDef="let row"> {{row.creationDate | date: 'shortDate'}} </td>
      </ng-container>

      <ng-container matColumnDef="detail">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Detail </th>
        <td mat-cell *matCellDef="let row">
          <a mat-icon-button routerLink="/detail/{{row.id}}">
            <mat-icon>list_alt</mat-icon>
          </a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;" [ngClass]="{'highlight': selectedRowIndex == row.id}"
        (mouseover)="highlight(row)">

      </tr>
    </table>
  </div>

  <button class="action-button" mat-fab color="primary" [disabled]="ls.isRole('User') | async" (click)="addProduct()">
    <mat-icon>add</mat-icon>
  </button>
</ng-template>